/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */

#pragma once

#include "Modules/ModuleManager.h"

INWORLDRUNTIMEGRAPHNODE_API DECLARE_LOG_CATEGORY_EXTERN(LogInworldRuntimeGraphNode, Log, All);

class INWORLDRUNTIMEGRAPHNODE_API FInworldRuntimeGraphNodeModule : public IModuleInterface
{
public:
	/** IModuleInterface implementation */
	virtual void StartupModule() override;
	virtual void ShutdownModule() override;
};
